"TimeNormAdj" <-
function(datum, what, TimeCorE, timelaps, spacing){

# DESCRIPTION

# This function apply the time correction of every variables extracted prior to
# the time normalisation procedure

# INPUT 

# datum 		The data matrix containing the extracted variables
# what			A vector of column name to be treated
# TimeCorE	 	The correction values to be used
# timelaps		The original timelaps between the intensities
# spacing		The new timelaps at which the intensities values were resampled
		
	for(i in what){
		tmp<-mn(i, mat=datum)
		datum[,tmp]<-round((datum[,tmp]*timelaps/TimeCorE)/spacing, digit=0)
	}	
	return(datum)
}

