"area.select" <-
function(nav,width=6,height=6,zoom=TRUE,point=NULL,quiet=FALSE,...){
	dev.size(w=width,h=height);
		
	if(!is.null(point)){
		if(zoom==TRUE){
			plot(x=nav[,1],y=nav[,2],xlim=c(min(point$x),max(point$x)),ylim=c(min(point$y),max(point$y)),col="blue");
		}else{
			rect(xleft=min(point$x), ybottom=min(point$y), xright=max(point$x), ytop=max(point$y), density = 0,col = "red", border = TRUE);
		}
	}else{
		plot(x=nav[,1],y=nav[,2],col="blue");
	}
	cat("Do you want to crop the navigation data visually; YES=1, NO=0\n")
	tmp<-scan("",nlines=1,quiet=TRUE);
	if(tmp!=1){
		ok<-1
	}else{
		ok<-0
	}
	while(ok!=1){
		if(ok!=-1){
			point<-workarea()
			keep<-which(nav[,1]>=point$x[1] & nav[,1]<=point$x[2] & nav[,2]>=point$y[1] & nav[,2]<=point$y[2]);
		}else{
			point$x=NULL
			point$y=NULL
			keep=c(1:nrow(nav))
		}
		if(zoom==TRUE){
			plot(x=nav[keep,1],y=nav[keep,2],xlim=point$x,ylim=point$y,col="blue","l");
		}else{
			rect(xleft=point$x[1], ybottom=point$y[1], xright=point$x[2], ytop=point$y[2], density = 0,col = "red", border = TRUE);
		}
		cat("Is your selection correct: YES =1, ZOOM=0, RESET=-1","\n");
		ok<-scan("",nlines=1,quiet=TRUE);
	}
	keep<-which(nav[,1]>=point$x[1] & nav[,1]<=point$x[2] & nav[,2]>=point$y[1] & nav[,2]<=point$y[2]);
	return(list(keep=keep,point=point))
	#par("ask"=FALSE)
}

