"mom" <-
function(m){

# DESCRIPTION

# We extract the statistical moments of curve

# INPUT

# m    A vector containing the curve values
	n<-length(m)
	m<-as.double(m,len=15)
	aver<-NA;sdev<-NA;vari<-NA;skew<-NA;curt<-NA
	aver<-mean(m,na.rm = TRUE)	
	cc=m-aver
	vari=var(m,na.rm = TRUE)
	sdev=sd(m,na.rm = TRUE)
	if (vari != 0) {	
		skew=((sum(cc^3,na.rm = TRUE))/(n-1))/(sdev^3)
		curt=((sum(cc^4,na.rm = TRUE))/(n-1))/(sdev^4)-3.0
	}
	else {
		cat("No skew/kurtosis when variance = 0,in moment.R\n")
	}
	xx<-c(aver,sdev,vari,skew,curt)
	names(xx)<-c("ave","sdev","var","skew","curt")
	return(xx)
}

