"moments" <-
function(datum, Flags){

# DESCRIPTION

# This function simpy call mom2 which extract the statistical moments and then
# we returns these values

# INPUT

# sonardata			The data matrix containing the sonar return intensity values
# Flags				A Vector of marker describing how many echoes are within one
#					return

	n<-ncol(datum)
	r<-nrow(datum)
	xx<-matrix(NA, nrow=r, ncol=5)
	use<-which(Flags>=1)
	for(i in use){
		xx[i,]<-mom(datum[i,])
	}
	colnames(xx)<-c("Ave.E1", "Var.E1", "SDev.E1", "Skew.E1", "Kurt.E1")
	return(xx);
}

