"rmnoise" <-
function(sonardata, debut1, Flags){

# DESCRIPTION

# Remove the ambiant noise from the sonar return intensity

# INPUT

# sonardata			The data matrix containing the sonar return intensity values
# debut1			The start of the first echo
# Flags				A Vector of marker describing how many echoes are within one
#					return

	library(datasets)
	marge<-as.integer((debut1-25)*0.05)
	use<-which(Flags>=1)
	for(j in use){
		if (marge[j]!=0){
			sonardata[j,]<-sonardata[j,]-mean(
				sonardata[j,25:(debut1[j]-marge[j])], na.rm=TRUE)
			sonardata[j,][sonardata[j,]<0]<-0
		}else{}
	}
	return(sonardata)
}

