\name{remove.sequences}
\alias{remove.sequences}
\docType{data}
\title{ Data set: Time section to concerve and analyse}
\description{
  This table lists the time segments of sonar returns that should be eliminated before analysis. It is usually written by the user. The table contains 4 columns. Columns 1 and 2 contain the date and the time of the starting points of the sections to be removed from the analysis; the date and time of the ending points of these sections are in columns 3 and 4.
}
\usage{data(remove.sequences)}
\format{
	A data table with n observations on the following 4 variables.
	\describe{
    \item{ Date.start }{ e.g.: \code{12-MAY-2001} }
    \item{ Time.start }{ e.g.: \code{19:55:02.64} }
    \item{ Date.end }{ e.g.: \code{12-MAY-2001} }
    \item{ Time.end }{ e.g.: \code{19:59:05.27} }
	}
}
\examples{
data(remove.sequences)
remove.sequences
}
\keyword{datasets}
