"correl.filter.VE" <-
function(mat,rem=0,seuil=0.7,stop=1000, quiet=FALSE, 
	name=NULL){

	#Cherche  enlever les variables ayant des corrlation 
	#trop forte crant de la colinarit
	#m=matrice
	#rem=vecteur de numro de colonne  enlever
	#Input matrice VS
	#Dtermine quelle variables  utiliser
	if(seuil>=0.95){
		die("'seuil' must be lower than 0.95 in order to remove some",
			"colinearity\n")
	}else{}
	m<-mat
	tmp<-1:ncol(m)
	if(rem[1]!=0){
		m0<-m[,rem]
		m<-m[,-rem]
		tmp<-tmp[-rem]
	}else{}
	mrk=0
	mrk2=0
	marker=0
	removed="NULL"
	while(marker!=1){
		vif.value=vif(m,print.vif=FALSE)
		m.cor<-round(cor(m),digit=3)
		m.cor<-m.cor*lower.tri(m.cor)
		m.cor[m.cor==0]<-0
		if(length(which(m.cor>=seuil))!=0){
			mrk2=1
			loc<-which(m.cor>=seuil)
			place<-sort(m.cor[which(m.cor>=seuil)],decreasing=TRUE,
				index.return=TRUE)$ix[1]
			found<-loc[place]
			nrows<-nrow(m.cor)
			colnb<-trunc((found-1)/nrows)+1
			rownb<-round((found/nrows-(colnb-1))*nrows)
			if(vif.value[colnb]==0){
				rm=colnames(m)[colnb]
				m<-m[,-colnb]
			}else{
				if(vif.value[rownb]==0){
					rm=colnames(m)[rownb]
					m<-m[,-rownb]
				}else{
					if(vif.value[colnb]>=vif.value[rownb]){
						rm=colnames(m)[colnb]
						m<-m[,-colnb]
					}else{
						rm=colnames(m)[rownb]
						m<-m[,-rownb]
					}
				}
			}
			if(mrk!=0){	
				removed<-c(removed,rm)
			}else{	
				removed<-rm
				mrk=1
			}
		}else{
			marker=1
		}
	}
	if(rem[1]!=0){
		m<-cbind(m0,m)
	}else{}
	if(mrk2!=0){
		cat("In data matrix", name,", based on the VIF values\nand correlation",
		"values, the following variables were removed:\n", removed,"\n")
	}else{}
	return(m)
}

