"filtre" <-
function(datum, visualrem){

# DESCRIPTION

# This function actually remove unwanted echoes based on the time ranges written
# in the visualrem file

# INPUT

# datum			The data matrix to be filtered
# visualrem		The data matrix containing the time range to remove

# OUTPUT

# timeout		The row number that has to be removed

	timeout=NULL
	for (bb in 1:nrow(visualrem)){
		rem<-which(datum[,mn("TimeSPM", mat=datum)]>=visualrem[bb,1] & 
			datum[,mn("TimeSPM", mat=datum)]<=visualrem[bb,2])
		if(length(rem)!=0){
			datum[rem,mn("Flags")]<--1
			if(length(timeout!=0)){
				timeout=c(timeout, rem)
			}else{
				timeout=rem
			}
		}else{}	
	}
	return(timeout)
}

