"gyro.inter" <-
function(timespm,gyro,estim.time,plot.save=FALSE,plot.show=TRUE){
	gyro[gyro==360]=0
	inter<-spline.inter(modelx=timespm,modely=gyro,estimy=estim.time)
	
	#Trouve les valeurs compensatoire au valeurs erronnes du au passage de 360  0 degrs
	tmp<-gyro+180
	for(i in 1:length(tmp)){
		if(tmp[i]>=360)
			tmp[i]<-tmp[i]-360
	}
	interp180<-spline.inter(modelx=timespm,modely=tmp,estimy=estim.time)$y
	tmp<-interp180-180
	
	for(i in 1:length(tmp)){
		if(tmp[i]<0)
			tmp[i]<-tmp[i]+360
	}
	interp180<-tmp
	
	i<-which(inter$y<45 | inter$y>315)
	inter$y[i]<-interp180[i]
	
	gyrovalues<-inter$y
	width=6;height=6 
	if(length(plot.save)!=0){
		nom<-"gyro"
		path<-paste(plot.save,"/",nom,".eps",sep="")
		postscript(file = path,paper="special", onefile = TRUE,width=width,height=height, family="Helvetica", encoding="MacRoman.enc",pagecentre=TRUE)
		plot(timespm,gyro,"l",col="red")
		points(inter$x,inter$y,col="blue")
		dev.off()
	}else{}
	if(plot.show==TRUE){
		dev.size(w=width,h=height)
		plot(timespm,gyro,"l",col="red")
		points(inter$x,inter$y,col="blue")
	}else{}
	return(gyrovalues)
}

