"multi.factor" <-
function(plot.m, arrow.m,xax=1,yax=2,percentage=1){
# Scale to the same proportions two drawings, such as plot and arrow, to make 
#    sure all arrows will be seen
# Get the matrix column ranges
	aa<-range(plot.m[,xax])
	bb<-range(plot.m[,yax])
	slope<-arrow.m[,yax]/arrow.m[,xax]
	len.ini<-sqrt(arrow.m[,yax]^2+arrow.m[,xax]^2)
	dist2lim<-rep(0,nrow(arrow.m))
	for(i in 1:nrow(arrow.m)){
		if(arrow.m[i,xax]>=0){
			if(arrow.m[i,yax]>=0){
				#quadrat=1
				limx<-aa[2];limy<-bb[2]
				y<-slope[i]*limx;x<-limx
				if(y>limy){
					x<-limy/slope[i];y<-limy
				}else{}
				dist2lim[i]<-sqrt(x^2+y^2)-len.ini[i]
			}else{
				#quadrat=4
				limx<-aa[2];limy<-bb[1]
				y<-slope[i]*limx;x<-limx
				if(y<limy){
					x<-limy/slope[i];y<-limy
				}else{}
				dist2lim[i]<-sqrt(x^2+y^2)-len.ini[i]
			}
		}else{
			if(arrow.m[i,yax]>=0){
				#quadrat=2
				limx<-aa[1];limy<-bb[2]
				y<-slope[i]*limx;x<-limx
				if(y>limy){
					x<-limy/slope[i];y<-limy
				}else{}
				dist2lim[i]<-sqrt(x^2+y^2)-len.ini[i]
			}else{
				#quadrat=3
				limx<-aa[1];limy<-bb[1]
				y<-slope[i]*limx;x<-limx
				if(y<limy){
					x<-limy/slope[i];y<-limy
				}else{}
				dist2lim[i]<-sqrt(x^2+y^2)-len.ini[i]
			}
		}
	}
	n<-which.min(dist2lim)
	mult<-((len.ini[n]+dist2lim[n])/len.ini[n])*percentage
	return(mult)
}

