"nav.offset.corr" <-
function(x=0,y=0,sonaroff=c(0,0,0),gyro=0,altitude=0,depth=0,headswap=0,headangle=0){
	#The way of defining the angle are the following north = o degres
	#The sonar head oriented north would therefore sample in a east and west fashion, east been attributted a positive haedangle, and west a negative head angle
	#Doing so headswap is by default == 0
	#For example a headswap of 45 degree make the sonar sample  when the headangle is positive to the southeast, and when negative to the northwest
	#Sonar offset in meters x,y,z vector , z has not yet been implemented
	if(sonaroff[1]!=0 | sonaroff[2]!=0){
		offdist<-sqrt(sonaroff[2]^2+sonaroff[1]^2)
		offgyro<-atan(sonaroff[1]/sonaroff[2])*180/pi
		corrgyro<-gyro+offgyro
		x<-x+sin(corrgyro*pi/180)*offdist
		y<-y+cos(corrgyro*pi/180)*offdist
	}else{}
	#Trouve la position exacte de l'empreinte sonore en fonction de l'angle d'acquisition sonore ainsi que sont altitude corrig 
	floordist<-sin(headangle*pi/180)*altitude
	corrgyro2<-90+gyro+headswap
	xoff<-sin(corrgyro2*pi/180)*floordist
	yoff<-cos(corrgyro2*pi/180)*floordist
	x<-x+xoff
	y<-y+yoff
	altitude<-cos(headangle*pi/180)*altitude
	depth<-round(depth,digit=3)+altitude
	return(list(x=x,y=y,depth=depth,altitude=altitude))
}

