"nav4sonar" <-
function(navfile=NULL,sonarfile=NULL,starttime=NULL,endtime=NULL,
sonarpositionoffset=c(0,0),headswap=-90,len=2000,plot.show=TRUE,
plot.save=NULL, quiet=TRUE, timelaps=13.333/1000000
){
	#For which starttime and endtime=NA do you which to estimate x and y position of each sonar return
	#If NA the closest navigations points will be used to insure that no extrapolation is made
	#Format = SPM second past midnight
	#gyro = 0 when facing north and east gyro =90
	#head swap= if the sonar head is swapping at different angle, perpendicular to the gyro, headswap is said to be zero.If the sonar head angle reading 45 degree 
	#fall in the heading direction the headswap angle is said to be -90.
	#sonaroffset= x and y and z in meters from the gps antenna at 0 degree heading, northerly and easterly directions are positive. c(1.5, 0.5,0.5)
	#the z offset is negative when the sonar head is lower than the gear used to estimate depth.
	#If swath mapping was used the sonar head angle must be used and angle should be set to TRUE,
	#What it the x and y offset between the sonar head and the GPS antenna in meters (vector)
	#len is the length the number of intensities describing every sonar ping
	#nomcol<-c("GPS time of fix","GPS x","GPS y","GPS z","GPS RMS","AM time of fix","AM x","AM y","AM z","AM RMS","Relay time of fix","Relay x","Relay y","Relay z","Relay RMS","Rov depth (m)","Rov altimiter","Rov Gyro deg","Total RMS")
	#navfile<-scan("~/Desktop/_Sebastien/Allnavdata.txt",sep="\t")
	#navfile<-t(matrix(navfile,nrow=19))
	#colnames(navfile)<-nomcol
		
navfilepath<-c("~/STATSR/Allnavdata.txt")
sonarfilepath<-c("~/STATSR/transect/HOLENS1.TXT")
#sonarfilepath<-c("~/STATSR/transect/BATH1.TXT",
#"~/STATSR/transect/BATH2.TXT",
#"~/STATSR/transect/BATH3.TXT",
#"~/STATSR/transect/BATH4.TXT",
#"~/STATSR/transect/BATH5.TXT",
#"~/STATSR/transect/BATH5_2.TXT",
#"~/STATSR/transect/BATH6.TXT",
#"~/STATSR/transect/BATH7.TXT",
#"~/STATSR/transect/BATH8.TXT",
#"~/STATSR/transect/BATH9.TXT",
#"~/STATSR/transect/BATH10.TXT",
#"~/STATSR/transect/BATH11.TXT",
#"~/STATSR/transect/BATH11_2.TXT",
#"~/STATSR/transect/BATH12.TXT",
#"~/STATSR/transect/BATH4_2.TXT")
	navfile=navfilepath;sonarfile=sonarfilepath;
	starttime=NULL;endtime=NULL;
	sonarpositionoffset=c(0.325,0.32,0.90);headswap=0;
	len=1000;plot.show=TRUE;plot.save=TRUE;quiet=TRUE
#
	lct <- Sys.getlocale("LC_TIME")
	Sys.setlocale("LC_TIME", "C")
	if(length(navfile)==0){
		#navdatapath<-"~/Documents/Maitrise/Fichiers de traitements/Analyse_Excel/Allnavdata.txt"
		navdata<-outputctr(Filepath=NULL, number.file=1,quiet=quiet)$outputctr
		#1						2			3			4						5						6
		#Relay time of fix	Relay x	Relay y	Rov depth (m)	Rov Gyro deg		Total RMS 
	}else{
		navdata<-outputctr(Filepath=navfile, number.file=1,quiet=quiet)$outputctr
	}
	cat("Is the sonarfile an imaginex .txt file; Yes=1, No=0\n")
	flush.console()
	tmp=scan("",nlines=1,quiet=TRUE)
	if(tmp==1){
		if(length(sonarfile)==0){
print("change that")
			tmp<-imagenex.txt(Filepath=NULL, number.file=12,echolength=len,quiet=quiet)
			sonardata<-tmp$imagenex.txt
			sonarfile<-tmp$sonarfilepath
		}else{
		#sonarfilepath<-"/Users/sebas/Documents/Maitrise/Imaginex_o_data/81b2txt/clambed/HOLENS1.TXT"
		#sonarfilepath<-"/Users/pierrelegendre/Desktop/_Sebastien/HOLENS1.TXT"
			sonardata<-imagenex.txt(Filepath=sonarfile, number.file=12,echolength=len,quiet=quiet)$imagenex.txt
		}
	}else{
		cat("We presume the file was preformated, same as requires the extract subroutine\n")
		sonardata<-as.matrix(read.table(sonarfile))
#		load(sonarfile)
	#	cat("A modifier\n")
	#	sonardata<-VE
	}
	tmp<-range(sonardata[,1])
	
	if(length(plot.save)!=0){
		if(plot.save==TRUE){
			cat("The graphics output folder is created in the folder where the first sonar file was selected\n")
			plotdir<-paste(dirname(sonarfile[1]),"graphics",sep="/")
			dir.create(plotdir,showWarnings=FALSE)
			plot.save<-plotdir
		}else{}
	}else{}
	
	if(length(starttime)==0)
		starttime<-max(which(navdata[,1]<=trunc(tmp[1])))
	
	if(length(endtime)==0)
		endtime<- min(which(navdata[,1]>=round(tmp[2])))
	print(tmp)
	print(starttime)
	print(endtime)
	navdata<-navdata[starttime:endtime,]
	rm(tmp)

#	#prend beaucoup de temps
	#pathlisse<-paste(dirname(sonarfile[1]),"/",gsub(".TXT","lisse.RData",gsub('[[:digit:]]', '',basename(sonarfile[1])),ignore.case=TRUE),sep="")
	#islissedone<-file.access(pathlisse, mode = 0)
	#if(islissedone!=0){
	#return(sonardata)
#voir lissage par groupe 4 dans old	a<-system.time(lisse<-lissagepargroupe(datum=sonardata[,4:ncol(sonardata)],g=21,rem=25)$lisse)
	#	save(lisse,file=pathlisse)
	#}else{
	#	load(file=pathlisse)
	#	tmpl<-dim(lisse)
	#	tmps<-dim(sonardata[,4:ncol(sonardata)])
	#	if(tmpl[1]!=tmps[1] | tmpl[2]!=tmps[2]){
	#		source("~/STATSR/_Subroutines/_Filters/lissagepargroupe4.R")
	#		a<-system.time(lisse<-lissagepargroupe4(sonardata[,4:ncol(sonardata)],21,rem=25)$lisse)
	#		save(lisse,file=pathlisse)
	#	}else{}
	#}
	soundspeed<-1500;
		
	cat("Importation completed\n")
	
	tmp0<-findalt(lisse=lisse,p=0.8,tooweak=150,soundspeed=soundspeed,timelaps=timelaps,maxseuil=14000*0.005)
	tmp<-which(tmp0[,3]>=0)
	if(length(tmp)!=0){
		sonardata<-sonardata[tmp,]
		newalt<-tmp0[tmp,1]
	}else{
		newalt<-tmp0[,1]	
	}
	print(newalt)
	
	#return(list(sonardata=sonardata,newalt=newalt))
	#Vrifie la qualit de notre estimation de l'altitude
	altitudecompare(x=sonardata[,1], alt1=sonardata[,3], alt2=newalt, alt1col="red", 
	alt2col="blue",width=6,height=6,plot.show=plot.show,plot.save=plot.save,
	main="Comparaison des valeurs d'altitude, Imagenex vs Moi")
	cat("Altitude comparison done\n")
	
	#Filtre les mauvaise valeures d'altitude:
	tmp<-altitude.filter(x=sonardata[,1],alt=newalt,trigger=0.6,width=6,height=6,plot.show=plot.show,plot.save=plot.save,quiet=quiet)
	if(length(tmp$rem)!=0){
		sonardata<-sonardata[-tmp$rem,]
		newalt<-tmp$alt
	}else{}
	cat("Altitude filtering completed\n")
	#print(newalt)
	#Trouve les valeurs de profondeurs errones
	tmp<-depth.filter(x=navdata[,1],depth=navdata[,4],varlimit=10,width=6,height=6,plot.show=plot.show,plot.save=plot.save,quiet=quiet)$rem
	if(length(tmp)!=0)
		navdata<-navdata[-tmp,]
	
	cat("Depth filtering completed\n")
	
	#Vrifier la qualit des positions 
	keep<-area.select(nav=navdata[,2:3])$keep
		
	
	#navdata<-navdata2
	if(length(keep)!=0){
		navdata<-navdata[keep,]
	}else{
		stop("Upon the selection of the working area none of the navigation was kept")
	}
	cat("Working area selection is completed\n")
	
	tmp<-navquality.filter(navdata[,c(1,6)],maxrms=20,width=6,height=6,plot.show=plot.show,plot.save=plot.save,quiet=quiet)$rem
	if(length(tmp)!=0)
		navdata<-navdata[-tmp,]
	
	tmp<-velocity.filter(navdata[,1:3],speedlimit=0.7,width=6,height=6,plot.show=plot.show,plot.save=plot.save,quiet=quiet)$rem
	if(length(tmp)!=0)
		navdata<-navdata[-tmp,]
	
	cat("Velocity filtering completed\n")
	
	#X and Y Corrections using the offsets given for the distance between the GPS antenna (rov beacon) and the sonar head
	#Time to get prediction for limited by memory size while performing krigging

	
	sel<-seq(1,nrow(sonardata),by=10)
#	return(list(sonardata=sonardata,sel=sel,newalt=newalt,navdata=navdata))
	#Based on the sonar altitude found we interpol the altitude value each of the nav position based on time
	navdata<-cbind(navdata,round(spline.inter(modelx=sonardata[sel,1],modely=newalt[sel],estimy=navdata[,1])$y,digit=2))
	colnames(navdata)<-c(colnames(navdata)[1:6],"Newalt")
	cat("Altitude interpolation completed\n")
	
	#X and Y Corrections using the offsets given for the distance between the GPS antenna (rov beacon) and the sonar head
	#Time to get prediction for limited by memory size while performing krigging
	print("please verify the sel you use  EITHER 50 for holens and bathy, more for INT")
	sel<-seq(1,nrow(sonardata),by=60)
	
	#Based on the depth readings found with every nav positions, we interpol a depth reading for every sonar sample
	depthvalue<-spline.inter(modelx=navdata[,1],modely=navdata[,4],estimy=sonardata[sel,1])
	cat("Depth interpolation completed\n")
	
	#Based on the gyro readings found with every nav positions, we interpol a gyro reading for every sonar sample
	#Trouve les valeurs de gyro
	gyro<-gyro.inter(timespm=navdata[,1],gyro=navdata[,5],estim.time=sonardata[sel,1],plot.save=plot.save,plot.show==TRUE)
	cat("Gyro interpolation completed\n")

	ok<-0
	spar=0.2
	while(ok!=1){
		#Trouve les valeurs de x et y pour chaque ping
		tmp<-nav.inter(timespm=navdata[,1],x=navdata[,2],y=navdata[,3],weight=1/navdata[,6],all.knots=TRUE,estimy=sonardata[sel,1],spar=spar)
		cat("Navigation interpolation completed\n")

		#Trouvons la position de la tte du sonar s'il n'est pas  la mme position que l'antenne
		tmp1<-nav.offset.corr(x=tmp$x,y=tmp$y,sonaroff=sonarpositionoffset,gyro=gyro,altitude=newalt[sel],depth=depthvalue$y,headswap=headswap,headangle=sonardata[sel,2])
		cat("Offset correction completed\n")

		navplusfootprints(xnav=navdata[,2],ynav=navdata[,3],xfoot=tmp1$x,yfoot=tmp1$y, width=6,height=6,plot.show=TRUE,plot.save=NULL,main="GPS Beacon and footprint path")
		
		
		ok1<-1
		while(ok1!=0){
			cat("Do you want to zoom in the recently created plot? YES=1, No=0\n")
			ok1<-scan("",nlines=1,quiet=TRUE)
			if(ok1!=0){
				cat("Select two opposite corners of the area you want to zoom in\n")
				tmp00<-locator(2)
				navplusfootprints(xnav=navdata[,2],ynav=navdata[,3],xfoot=tmp1$x,yfoot=tmp1$y,
				xlim=c(min(tmp00$x),max(tmp00$x)),
				ylim=c(min(tmp00$y),max(tmp00$y)),
				width=6,height=6,plot.show=TRUE,plot.save=NULL,main="GPS Beacon and footprint path")
			}else{}
		}#Graphiques localisant le chemin des empreintes sonores
		cat("Are you satified by the interpolation results; YES=1 NO=0")
		ok<-scan("",nlines=1,quiet=TRUE)
		if(ok!=1){
			cat("Type a new spar value to be used, which previously was", spar,"\n")
			spar<-scan("",nlines=1,quiet=TRUE)
		}else{
			if(length(plot.save)!=0){
				nom<-"Navpath"
				path<-paste(plot.save,"/",nom,".pdf",sep="")
				pdf(file = path, onefile = TRUE,width=6,height=6, family="Helvetica", encoding="MacRoman.enc",pagecentre=TRUE)
				navplusfootprints(xnav=navdata[,2],ynav=navdata[,3],xfoot=tmp1$x,yfoot=tmp1$y,
				xlim=c(min(tmp00$x),max(tmp00$x)),
				ylim=c(min(tmp00$y),max(tmp00$y)),
				width=6,height=6,plot.show=FALSE,plot.save=path,main="Corrected navigation path")
				dev.off()
			}else{}
		}
	}
	name=c("X","Y","Depth","Altitude")
	nav=cbind(tmp1$x,tmp1$y,tmp1$depth,tmp1$altitude)
	colnames(nav)=name
	Sys.setlocale("LC_TIME", lct)
	return((nav=nav))
	
}

