"specifictimes" <-
function(s, keep=NA){
	
# DESCRIPTION

# Create a subselection of the initial data matrix based on time ranges selected
# by the user.

# INPUT

# s			This the working list used in the analyse function
# path		This is the path to the file specifying while time to keep in our 
#			analysis
	if(is.na(keep)){
		stop("A matrix defining which sonar return to keep is required")
	}else{
		kk<-0
		for(j in 1:nrow(keep)){
			xxx<-which(s$ID[,1]>=keep[j,1] & s$ID[,1]<keep[j,2])
			if(length(xxx!=0)){
				if(kk==0){
					loc<-c(xxx)
				}else{
					loc<-c(loc, xxx)
				}
				kk<-1
			}else{}
		}
		if(kk==1){
			s$VE<-s$VE[loc,]
			s$VI<-s$VI[loc,]
		}else{}
	}
	return(s)
}

