"spm2time" <-
function(spm, refdate, timesep=":"){
	lct <- Sys.getlocale("LC_TIME")
	Sys.setlocale("LC_TIME", "C")
	times<-rep(NA, length(spm))
	ref.julian<-refdate	
	real.time<-ref.julian*60*60*24+spm
	julians<-trunc(real.time/(60*60*24))
	spm<-real.time-julians*60*60*24
	class(julians)="Date"
	date=as.Date(julians)
	for (i in 1:length(spm)){
		heure=(spm[i]/3600)
		n<-0
		heure1<-heure
		while(heure1>24){
			heure1<-heure1-24
			n<-n+1
		}
		#spm
		heure<-as.integer(heure-24*n)
		minute=as.integer((spm[i]-((heure+24*n)*3600))/60)
		seconde=spm[i]-((heure+24*n)*3600)-(minute*60);
		if (heure<10){
			hh=sprintf("0%i", heure)
		}
		else {
			hh=sprintf("%i", heure)
		}
		if (minute<10){
			mm=sprintf("0%i", minute)
		}
		else{
			mm=sprintf("%i", minute)
		}
		if(seconde<10){
			ss=sprintf("0%.2f", seconde)
		} else {
			ss=sprintf("%.2f", seconde)
		}
		times[i]<-paste(hh, mm, ss, sep=timesep)
	}
	Sys.setlocale("LC_TIME", lct)
	return(list(date=date,times=times))
}

