"tct" <-
function(datum, start.p, end.p, spacing){
	tmp<-datum[(start.p+1):end.p]-datum[start.p:(end.p-1)]
	triangle<-sum(tmp*spacing/2)
	cx<-sum((seq(start.p, (end.p-1), by=1)+0.5)*spacing*
		datum[start.p:(end.p-1)])
	cy<-sum(datum[start.p:(end.p-1)]/2*spacing*datum[start.p:(end.p-1)])
	neg<-which(tmp>0)
		which.neg<-c(start.p:(end.p-1))[neg]
		z<-tmp[neg]
		g<-atan(1/(z))
		k<-90-atan(z/(1/z))
		d<-(tan(g)*z/2)/(tan(g)+tan(k))
		a<-d*tan(k)
		trix.neg<-sum((1/2+which.neg+a)*spacing*z/2)
		triy.neg<-sum((d+datum[which.neg])*spacing*z/2)
	pos<-1:length(tmp)
	pos<-pos[-neg]
		which.pos<-c(start.p:(end.p-1))[pos]
		w<-tmp[pos]
		g<-atan(w/(1))
		k<-90-atan(1/(w/1))
		d<-(tan(g)*1/2)/(tan(g)+tan(k))
		a<-d*tan(k)
		trix.pos<-sum((which.pos+1-d)*spacing*w/2)
		triy.pos<-sum((datum[which.pos+1]-(w*1/2-a))*spacing*w/2)
	trix=trix.neg+trix.pos
	triy=triy.neg+triy.pos
	return(list(triangle=triangle, cx=cx, cy=cy, trix=trix, triy=triy))
}

