"time2spm" <-
function(date, refdate=NA, dateformat="%d-%b-%Y", time, timesep=":"){
	#This function converts two columns refering to date and time into one.
	#describing the date and time in terms of second past midnight of the 
	#reference date
	#ow <- options("warn")
	#options(warn = -1)
	# refdate this is the cummulative julian number of the reference date 	
	# obtained from as.numeric(as.Date(date,dateformat))
	# date at which the signal was recorded (YYYY/MM/DD)
	# the acquisition time 
	#use sep =  NA for none
	#dateformat see as.Dates documentation
	#Allows the user to read the dates in english
	lct <- Sys.getlocale("LC_TIME")
	Sys.setlocale("LC_TIME", "C")
	if(length(date)!=length(time))
		stop("The time and date vectors does not have the same length")
	library(datasets)
	if(is.na(refdate)){
		ref.julian<-min(as.numeric(as.Date(date,dateformat)))
	}else{
		ref.julian<-refdate		
	}
	julians<-as.numeric(as.Date(date,dateformat))
	julian.aspm<-(julians-ref.julian)*60*60*24
	#Fonctione sur un vecteur de temps
	spm<-matrix(NA, length(time), 1)
	if(is.na(timesep)==TRUE){
		ttt<-time
	}else{
		ttt<-gsub(timesep, "", time)
	}
	ttt<-as.numeric(ttt)
	#23:45:05.55
	#86400 secondes dans une journe
	nb.heure<-as.integer(ttt/10000)
	nb.min<-as.integer((ttt-nb.heure*10000)/100)
	nb.sec<-ttt-nb.heure*10000-nb.min*100
	spm<-nb.sec+nb.min*60+nb.heure*3600
	#spm<-zapsmall(spm, digit=0.01)
	#	options(ow)
	spm=julian.aspm+spm
	Sys.setlocale("LC_TIME", lct)
	return(spm)
}

