\name{ALTextract}
\alias{ALTextract}
\docType{data}
\title{ Data set: Sonar return extraction list.}
\description{
  Using sonar returns acquired during vertical transects, this list is the output of \code{\link{extract}} function and will be the input of the \code{\link{analyse}} function.
}
\usage{data(ALTextract)}
\format{
  In this list we have:
  \item{ VE }{ The matrix of extracted variables, describing the echo shape characteristics.
  }
  \item{ VI }{ The matrix of intensity variables, describing the sequence of echo intensities.
  }
  \item{ call }{ The call used to execute the \code{\link{extract}} function. 
  }
}
\details{
  For more details see \code{\link{extract}}.
}
\examples{
data(ALTextract)
names(extract.data)
}
\keyword{datasets}
