\name{INTextract}
\alias{INTextract}
\docType{data}
\title{ Data set: Sonar return extraction list}
\description{
  This data set contains sonar returns acquired during horizontal transects. It is the output of the \code{\link{extract}} function and will serve as input to the \code{\link{analyse}} function.
}
\usage{data(INTextract)}
\format{
  In this list we have:
  \item{ VE }{ The matrix of extracted variables, describing the echo shape characteristics.
  }
  \item{ VI }{ The matrix of intensity variables, describing the sequence of echo intensities.
  }
  \item{ call }{ The call used to run the \code{\link{extract}}.
  }
}
\details{
  For more details see \code{\link{extract}}.
}
\examples{
data(INTextract)
names(extract.data)
}
\keyword{datasets}
