\name{keep.sequences}
\alias{keep.sequences}
\docType{data}
\title{ Data set: Time segments to save and analyse }
\description{
  This table selects time segments of sonar returns before analysis. It is usually written by the user; this is an example. The table contains 4 columns. Columns 1 and 2 contain the date and the time of the starting points of the sections to be saved for analysis; the date and time of the ending points of the sections are in columns 3 and 4.
}
\usage{data(keep.sequences)}
\format{
  A data table with n observations on the following 4 variables. 
  No column name shall be written in the .txt file.
  \describe{
    \item{Date.start}{e.g.: \code{12-MAY-2001}}
    \item{Time.start}{e.g.: \code{19:55:02.64}}
    \item{Date.end}{e.g.: \code{12-MAY-2001}}
    \item{Time.end}{e.g.: \code{19:59:05.27}}
  }
}
\examples{
data(keep.sequences)
keep.sequences
}
\keyword{datasets}
